
QGIS Application - Bug report #10163

Categorized and graduated style do not work using shapefile as vector provider

2014-05-03 09:42 AM - Gabor Ganzer

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18617

Description

I tried to use categorized classify on a vector layer and the result is not usable, because it displayed all kind of categories the same color.

History

#1 - 2014-05-03 10:09 AM - Gabor Ganzer

- Target version set to Future Release - High Priority

#2 - 2014-05-04 01:53 AM - Salvatore Larosa

- Subject changed from Categorized Style bug to Categorized and graduated style do not work using shapefile as vector provider

- Priority changed from High to Severe/Regression

Confirmed here. It only occurs using shape file. Other providers seem work just fine!

Also graduated style is broken!

#3 - 2014-05-04 02:25 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.4

#4 - 2014-05-08 10:01 AM - Anita Graser

also reported here: #10179

#5 - 2014-05-08 11:42 AM - Anita Graser

Another related issue: In categorized renderer, the symbol defaults back to the default size=2 circle when the dialog is closed and reopened.

#6 - 2014-06-06 06:43 AM - Denis Rouzaud

- Assignee set to Denis Rouzaud

#7 - 2014-06-06 06:44 AM - Denis Rouzaud

- Assignee deleted (Denis Rouzaud)

#8 - 2014-06-06 07:02 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
as far as I can see on the latest qgis master this issue is fixed. Please reopen if necessary.
